Infront Data Manager Connect Client (.NET)

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Gevasys.DataCore.Configuration.Generated.RetransmitHost Class Reference

This class represents the ComplexType RetransmitHost More...

Inherits Gevasys.DataCore.Configuration.Generated.XmlCommonBase.

## Public Member Functions
| RetransmitHost ()
| Constructor for RetransmitHost More...
| RetransmitHost (String elementName)
override object | Clone ()
| Allows the class to be copied More...
override LiquidTechnologies.Runtime.Net40.XmlObjectBase | GetBase ()

## Protected Member Functions
override void | Init ()
| Initilizes the class More...

## Protected Attributes
Boolean | m_IsValidWSDL_URL
String | m_WSDL_URL

## Properties
override String | TargetNamespace`[get]`
String | WSDL_URL`[get, set]`
| Represents an optional Attribute in the XML document More...
Boolean | IsValidWSDL_URL`[get, set]`
| Indicates if WSDL_URL contains a valid value. More...
override String | Namespace`[get]`

## Detailed Description

This class represents the ComplexType RetransmitHost

## Constructor & Destructor Documentation

## ◆ RetransmitHost()

Gevasys.DataCore.Configuration.Generated.RetransmitHost.RetransmitHost | ( |  | ) |
| inline

Constructor for RetransmitHost

The class is created with all the mandatory fields populated with the default data.
All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd

## Member Function Documentation

## ◆ Clone()

override object Gevasys.DataCore.Configuration.Generated.RetransmitHost.Clone | ( |  | ) |
| inline

Allows the class to be copied

Performs a 'deep copy' of all the data in the class (and its children)

## ◆ Init()

override void Gevasys.DataCore.Configuration.Generated.RetransmitHost.Init | ( |  | ) |
| inline protected

Initilizes the class

The Creates all the mandatory fields (populated with the default data) All Collection object are created.
However any 1-n relationships (these are represented as collections) are empty. To comply with the schema these must be populated before the xml obtained from ToXml is valid against the schema D:\Sources\Liquid\DataCoreServer\InstanceConfiguration.xsd.

## Property Documentation

## ◆ IsValidWSDL_URL

Boolean Gevasys.DataCore.Configuration.Generated.RetransmitHost.IsValidWSDL_URL
| get set

Indicates if WSDL_URL contains a valid value.

true if the value for WSDL_URL is valid, false if not.
If this is set to true then the property is considered valid, and assigned its default value ("").
If its set to false then its made invalid, and susiquent calls to get WSDL_URL will raise an exception.

## ◆ WSDL_URL

String Gevasys.DataCore.Configuration.Generated.RetransmitHost.WSDL_URL
| get set

Represents an optional Attribute in the XML document

This property is represented as an Attribute in the XML.
It is optional, initially it is not valid.

The documentation for this class was generated from the following file:

- RetransmitHost.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1